InstallerDownloadEvent (install4j help)
Date: 2010-09-29

## install4j API documentation

## com.install4j.api.events
Class InstallerDownloadEvent

    java.lang.Object
      java.util.EventObject
          com.install4j.api.events.InstallerEvent
              com.install4j.api.events.InstallerDownloadEvent

All Implemented Interfaces:
  java.io.Serializable

    public class InstallerDownloadEvent

extends InstallerEvent

The event object that is passed to installer event listeners for download events types. Event listeners are registered in the `InstallerContext`.

This event object contains additional information about the download. The event types `EventType.BEFORE_DOWNLOAD` and `EventType.AFTER_DOWNLOAD` produce this event object when fired.

Author:
  ej-technologies GmbH
See Also:
  `InstallerEventListener`, `Context.addInstallerEventListener(InstallerEventListener)`, Serialized Form

Nested Class Summary
`static interface` | `InstallerDownloadEvent.DownloadProgressListener` A listener that is informed about the progress of a download.

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InstallerDownloadEvent(java.lang.Object source, Context context, EventType type, boolean success, java.net.URL url, java.io.File downloadFile, long downloadSize)` The constructor is called by the framework.
`InstallerDownloadEvent(java.lang.Object source, Context context, EventType type, java.net.URL url, java.io.File downloadFile, long downloadSize)` The constructor is called by the framework.

Method Summary
`void` | `addDownloadProgressListener(InstallerDownloadEvent.DownloadProgressListener listener)` Add a progress listener that is informed how the progress download is progressing.
`java.io.File` | `getDownloadFile()` Returns the file where the download is saved.
`java.util.Set` | `getDownloadProgressListeners()` Get the complete set of download progress listeners.
`long` | `getDownloadSize()` Returns the size for the download in bytes.
`java.net.URL` | `getUrl()` Returns the URL of the download.
`java.lang.String` | `getVerbose()` Return a verbose description of this event.
`java.lang.String` | `toString()`

Methods inherited from class com.install4j.api.events.InstallerEvent
`getContext, getType, wasSuccessful`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstallerDownloadEvent

    public InstallerDownloadEvent(java.lang.Object source,
                                  Context context,
                                  EventType type,
                                  boolean success,
                                  java.net.URL url,
                                  java.io.File downloadFile,
                                  long downloadSize)

  The constructor is called by the framework.

  Parameters:
    `source` - the event source
    `context` - the context
    `type` - the event type.
    `success` - whether the operation associated with the event was successful
    `url` - the download URL
    `downloadFile` - the download file
    `downloadSize` - the size of the download

### InstallerDownloadEvent

    public InstallerDownloadEvent(java.lang.Object source,
                                  Context context,
                                  EventType type,
                                  java.net.URL url,
                                  java.io.File downloadFile,
                                  long downloadSize)

  The constructor is called by the framework.

  Parameters:
    `source` - the event source
    `context` - the context
    `type` - the event type.
    `url` - the download URL
    `downloadFile` - the download file
    `downloadSize` - the size of the download

Method Detail

### getUrl

    public java.net.URL getUrl()

  Returns the URL of the download.

  Returns:
    the URL

### getDownloadFile

    public java.io.File getDownloadFile()

  Returns the file where the download is saved.

  Returns:
    the download file

### getDownloadSize

    public long getDownloadSize()

  Returns the size for the download in bytes.

  Returns:
    the size

### addDownloadProgressListener

    public void addDownloadProgressListener(InstallerDownloadEvent.DownloadProgressListener listener)

  Add a progress listener that is informed how the progress download is progressing. This only makes sense to add if the event type is `EventType.BEFORE_DOWNLOAD`.

  Parameters:
    `listener` - the progress listener

### getDownloadProgressListeners

    public java.util.Set getDownloadProgressListeners()

  Get the complete set of download progress listeners.

  Returns:
    the set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `InstallerEvent`

### getVerbose

    public java.lang.String getVerbose()

  Description copied from class: `InstallerEvent`
  Return a verbose description of this event.

  Overrides:
    `getVerbose` in class `InstallerEvent`
  Returns:
    the description